#
# Conditional build:
%bcond_without	python2	# CPython 2.x module
%bcond_without	python3	# CPython 3.x module

%define		pname	distribute
Summary:	distribute compatibility wrapper for setuptools
Summary(pl.UTF-8):	Nakładka na python-setuptools zastępujące distribute
Name:		python-distribute
Version:	0.7.3
Release:	3
License:	PSF or ZPL
Group:		Development/Languages/Python
Source0:	https://pypi.python.org/packages/source/d/distribute/distribute-%{version}.zip
# Source0-md5:	c6c59594a7b180af57af8a0cc0cf5b4a
URL:		https://pypi.python.org/pypi/distribute
%if %{with python2}
BuildRequires:	python-setuptools > 7.0
BuildConflicts:	python-distribute < 0.7
%endif
%if %{with python3}
BuildRequires:	python3-setuptools > 7.0
BuildConflicts:	python3-distribute < 0.7
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.523
Requires:	python-setuptools > 7.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Distribute was a fork of the Setuptools project. This package replaces
this fork with current Setuptools wrapper.

%description -l pl.UTF-8
Distribute było odgałęzieniem (forkiem) projektu Setuptools. Teraz
jest tylko nakładką na współczesne Setuptools.

%package -n python3-%{pname}
Summary:	Easily download, build, install, upgrade, and uninstall Python 3.x packages
Summary(pl.UTF-8):	Łatwe ściąganie, budowanie, instalowanie, uaktualnianie i usuwanie pakietów Pythona 3.x
Group:		Development/Languages/Python
Provides:	python3-setuptools = 1:0.6-3

%description -n python3-%{pname}
Distribute was a fork of the Setuptools project. This package replaces
this fork with current Setuptools wrapper.

%description -n python3-%{pname} -l pl.UTF-8
Distribute było odgałęzieniem (forkiem) projektu Setuptools. Teraz
jest tylko nakładką na współczesne Setuptools.

%prep
%setup -q -n %{pname}-%{version}

%build
%if %{with python2}
%{__python} setup.py \
	build -b build-2
%endif

%if %{with python3}
%{__python3} setup.py \
	build -b build-3
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%{__python} -- setup.py \
	build -b build-2 \
	install \
	--root=$RPM_BUILD_ROOT \
	--optimize=2
%py_postclean
%endif

%if %{with python3}
%{__python3} -- setup.py \
	build -b build-3 \
	install \
	--root=$RPM_BUILD_ROOT \
	--optimize=2
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%{py_sitescriptdir}/distribute-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-%{pname}
%defattr(644,root,root,755)
%{py3_sitescriptdir}/distribute-%{version}-py*.egg-info
%endif
%changelog
* Mon Sep 14 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-distribute.git;a=log;h=master

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 91b8085
- release 3 (by relup.sh)

* Sun Sep 13 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 1ec0c4d
- python 3.5 rebuild
- release 2 (by relup.sh)

* Tue Mar 31 2015 Jacek Konieczny <j.konieczny@eggsoft.pl> 47944c7
- Version: 0.7.3

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 4a56be6
- x32 rebuild
- release 3 (by relup.sh)

* Mon Jan 05 2015 Jan Rękorajski <baggins@pld-linux.org> dc57be9
- rel 2

* Sat Jan 03 2015 Jan Rękorajski <baggins@pld-linux.org> e2a4dd5
- disable pypy

* Sat Oct 25 2014 Jakub Bogusz <qboosh@pld-linux.org> 81389bb
- updated to 0.6.49

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 313a0df
- python 3.4
- release 5 (by relup.sh)

* Mon Sep 16 2013 Elan Ruusamäe <glen@delfi.ee> 013d4af
- restore script template.py

* Mon Sep 16 2013 Elan Ruusamäe <glen@delfi.ee> ffb2339
- requires python-modules for traceback module

* Sun Jul 07 2013 Elan Ruusamäe <glen@delfi.ee> 5e37b4f
- rebuild without py2 specific pythonegg() provides

* Sun Apr 07 2013 Jakub Bogusz <qboosh@pld-linux.org> 1e4c2b6
- updated to 0.6.36

* Sat Mar 09 2013 Elan Ruusamäe <glen@delfi.ee> 0a86358
- provide python3-setuptools in python3 package

* Thu Feb 28 2013 Łukasz Kieś <kiesiu@pld-linux.org> f4acefc
- updated to 0.6.35

* Thu Jan 24 2013 Elan Ruusamäe <glen@delfi.ee> 7fa7154
- rebuild for fixed python eggs
- release 2 (by relup.sh)

* Wed Jan 23 2013 Łukasz Kieś <kiesiu@pld-linux.org> 826e1b4
- updated to 0.6.34

* Wed Nov 14 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 248cfb1
- release 2 (by relup.sh)

* Wed Aug 08 2012 Jan Rękorajski <baggins@pld-linux.org> 7d8d690
- Updated to 0.6.28

* Sat Jun 02 2012 Caleb Maclennan <caleb@alerque.com> d18c630
- Up to 0.6.27

* Sat Jan 14 2012 zbyniu <zbyniu@pld-linux.org> a082d0e
- up to 0.6.24

